#include "backupserviceadaptor.h"
#include "backupservice.h"
#include "backupthread.h"

#include <Nepomuk/ResourceManager>

BackupServiceAdaptor::BackupServiceAdaptor(BackupService* parent)
    : QDBusAbstractAdaptor(parent),
    m_thread(new BackupThread(parent))
{
}

BackupServiceAdaptor::~BackupServiceAdaptor()
{
}

void BackupServiceAdaptor::startBackup()
{
    m_thread->start(QThread::LowPriority);
}

#include "backupserviceadaptor.moc"
