#include "savesearchdialog.h"
#include "ui_savesearchdialog.h"

SaveSearchDialog::SaveSearchDialog(QString contents, QWidget *parent) :
    QWidget(parent),
    m_ui(new Ui::SaveSearchDialog)
{
    m_ui->setupUi(this);
    m_ui->contents->setText(contents);

    connect(m_ui->name, SIGNAL(textChanged(QString)), this, SIGNAL(nameChanged(QString)));
}

SaveSearchDialog::~SaveSearchDialog()
{
    delete m_ui;
}

void SaveSearchDialog::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
