#ifndef CHATDIALOG_H
#define CHATDIALOG_H

#include "plasma/dialog.h"


class Contact;
class QGraphicsGridLayout;
class KopeteExtender;

namespace Plasma {
    class TextEdit;
    class PushButton;
    class Corona;
}

class ChatDialog : public Plasma::Dialog
{
public:
    ChatDialog(KopeteExtender *applet, Contact *contact);
    ~ChatDialog();

private:
    QGraphicsWidget* m_widget;
    Plasma::Corona *m_corona;
    Contact *m_contact;
    QGraphicsGridLayout *m_layout;
    Plasma::TextEdit *m_textedit;
    Plasma::PushButton *m_reply;
};

#endif // CHATDIALOG_H
