#ifndef EDITORS_H
#define EDITORS_H

#include <QWidget>
#include <QVariant>

namespace Quasar {
    struct Property;
}

class WidgetEditor : public QWidget
{
    Q_OBJECT
public:
    static WidgetEditor *editorFor(const Quasar::Property &prop,
                                   QWidget *parent=0);
public:
    WidgetEditor(const QString &propName, QWidget *parent=0);

    void emitChanged(const QVariant &property);
signals:
    void changed(const QString &name,
                 const QVariant &property);

private:
    QString m_prop;
};

#endif
