#ifndef TRANSFORMNODE_P_H
#define TRANSFORMNODE_P_H

#include "filternode.h"

namespace Quasar
{
    class TransformNode : public FilterNode
    {
        Q_OBJECT
    public:
        TransformNode();

        virtual QRectF domainOfDefinition(const QRectF &rect) const;
        virtual QRectF regionOfInterest(const QRectF &rect) const;

    protected:
        void programChanged(GLuint prog);
    };

}
#endif
