/* 
 *
 * $Id: sourceheader 511311 2006-02-19 14:51:05Z trueg $
 *
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2006 Sebastian Trueg <trueg@kde.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#ifndef _QUERY_SERVICE_TEST_H_
#define _QUERY_SERVICE_TEST_H_

#include <QtTest/QtTest>

#include <knepomuk/registry.h>
#include <knepomuk/service.h>

using namespace Nepomuk::Backbone;

class QueryServiceTest : public QObject
{
  Q_OBJECT

 public:
  QueryServiceTest();

 private Q_SLOTS:
  void initTestCase();
  void testExecuteQuery();
  void testIterator();

 private:
  Registry* m_registry;
  Service* m_service;
};

#endif
