/***************************************************************************
 *   Copyright (C) 2009 by Matthieu Gallien <matthieu_gallien@yahoo.fr>    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef TASKS_ROLES_HEADER
#define TASKS_ROLES_HEADER

namespace TasksModel {
    const int IsMinimizedRole = Qt::UserRole;
    const int IsMaximizedRole = Qt::UserRole + 1;
    const int IsShadedRole = Qt::UserRole + 2;
    const int DesktopNumberRole = Qt::UserRole + 3;
    const int IsOnCurrentDesktopRole = Qt::UserRole + 4;
    const int IsActive = Qt::UserRole + 5;
    const int IsDemandingAttention = Qt::UserRole + 6;
    const int BackgroundPrefix = Qt::UserRole + 7;
    const int ClassName = Qt::UserRole + 8;
    const int ClassClass = Qt::UserRole + 9;
    const int IsStartup = Qt::UserRole + 10;
    const int TaskSourceName = Qt::UserRole + 11;
    const int StatusItemSourceNames = Qt::UserRole + 12;
    const int IsFullScreen = Qt::UserRole + 13;
    const int IsAlwaysOnTop = Qt::UserRole + 14;
    const int IsKeptBelowOthers = Qt::UserRole + 15;
    const int ContextMenuRole = Qt::UserRole + 16;
    const int ActivateActionRole = Qt::UserRole + 17;
    const int SecondaryActivateActionRole = Qt::UserRole + 18;
}

#endif
