#include <Plasma/PopupApplet>
#include <../includes/Ui_BackgroundWidget.h>

#include "../welcome.h"
namespace welcome_plasmoid {

	BackgroundProxy::BackgroundProxy(PlasmaWelcome *_top) :  QGraphicsWidget(_top),top(_top) { }
        void BackgroundProxy::paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {
//                Plasma::Frame::paint(painter, option, widget);
                Plasma::Svg *m_svg = &top->m_svg;
                int lheight = size().height()/4;
                int diff = lheight-m_svg->size().height();
                int lwidth = m_svg->size().width()+diff;
                m_svg->resize(lheight, lwidth);
                int posx = size().width()/2-m_svg->size().width()/2;
                int posy = size().height()/2-m_svg->size().height()/2;
                m_svg->paint(painter, posx, posy);
        }

}
#include <../includes/Ui_BackgroundWidget.moc>
